clear
set memory 200m
cd R:\Milner\Milner\AID\AidTradePaper\ReplicationFiles

use AID-TRADE-IO-MASTER.dta, clear



keep VoteID session rc_vote  party votetype votesaliency PrezVotePercRepub  dwnom_1_  FECproblems
rename PrezVotePercRepub PrezVo

generate AidSupporter=1 if rc_vote==1  & rc_vote~=. & votetype==0 &  votesaliency==2
replace AidSupporter=0 if rc_vote==0  & rc_vote~=. & votetype==0 &  votesaliency==2
generate TRSupporter=1 if rc_vote==1  & rc_vote~=. & votetype==1 &  votesaliency==2
replace TRSupporter=0 if rc_vote==0  & rc_vote~=. & votetype==1 &  votesaliency==2

levelsof VoteID if votetype==0 &  votesaliency==2, local(vote)
foreach x of numlist `vote' {
foreach var of varlist dwnom_1_  PrezVo {
forval i=0/1 {
ci `var' if AidSupporter==`i' &  VoteID==`x' & FECproblems~=1
generate FAMN`var'_`i'_`x'=r(mean)
generate FAUp`var'_`i'_`x'=r(ub)
generate FALo`var'_`i'_`x'=r(lb)
}
}
}


levelsof VoteID if votetype==1 &  votesaliency==2, local(vote)
foreach x of numlist `vote' {
foreach var of varlist dwnom_1_  PrezVo {
forval i=0/1 {
ci `var' if TRSupporter==`i' &  VoteID==`x' & FECproblems~=1
generate TRMN`var'_`i'_`x'=r(mean)
generate TRUp`var'_`i'_`x'=r(ub)
generate TRLo`var'_`i'_`x'=r(lb)
}
}
}


keep FA* TR*
keep if _n==1
gen id=_n
reshape long TRMNdwnom_1__1_ TRMNdwnom_1__0_ FAMNdwnom_1__1_ FAMNdwnom_1__0_   TRUpdwnom_1__1_ TRUpdwnom_1__0_ FAUpdwnom_1__1_ FAUpdwnom_1__0_  TRLodwnom_1__1_ TRLodwnom_1__0_ FALodwnom_1__1_ FALodwnom_1__0_ , i(id) j(vote)
keep  TRMNdwnom_1__0_ - TRLodwnom_1__1_  FAMNdwnom_1__1_ -FALodwnom_1__0_ vote

gen AidVote=(FAMNdwnom_1__1_~=.)
gen TradeVote=(TRMNdwnom_1__1_~=.)

foreach var of newlist Aid Trade {
gsort -`var'Vote vote
gen id`var'=_n
replace id`var'=. if `var'Vote==0
gen roundtest=round(vote, 10000)
gen session=roundtest/10000
drop roundtest
label define templab`var' 1 "", modify
summ id`var'
local n=r(max)
forval i=1/`n' {
levelsof session if _n==`i' , local(temp)
label define templab`var' `i' "`temp'", modify
label val id`var' templab`var'
}
drop session
}


label var idAid "Session"
label var idTrade "Session"

summ idAid
local n=r(max)
local sup "ytitle(Avg. DW-NOM) title(Average DW-NOM Scores By Aid Support, size(medium)) legend(order(1 4) label(1 "Pro Aid") label(4 "Anti Aid")) mcolor(black black black gs10 gs10 gs10)"
twoway (connected FAMNdwnom_1__1_ FAUpdwnom_1__1_ FALodwnom_1__1_  FAMNdwnom_1__0_ FAUpdwnom_1__0_ FALodwnom_1__0_    idAid ,  `sup' lpattern(solid dot dot solid dot dot)  yaxis(1) xaxis(1) `value' xlabel(1(2)`n', valuelabel labs(small) angle(90) ) )
graph save "AidSupport_AllLegis_DWNOM.gph", replace

summ idTrade
local n=r(max)
local sup "ytitle(Avg. DW-NOM) title(Average DW-NOM Scores By Trade Support, size(medium)) legend(order(1 4) label(1 "Pro Trade") label(4 "Anti Trade")) mcolor(black black black gs10 gs10 gs10)"
twoway (connected TRMNdwnom_1__1_ TRUpdwnom_1__1_ TRLodwnom_1__1_  TRMNdwnom_1__0_ TRUpdwnom_1__0_ TRLodwnom_1__0_    idTrade ,  `sup' lpattern(solid dot dot solid dot dot)  yaxis(1) xaxis(1) `value' xlabel(1(2)`n', valuelabel labs(small) angle(90) ) )
graph save "TradeSupport_AllLegis_DWNOM.gph", replace
graph combine AidSupport_AllLegis_DWNOM.gph TradeSupport_AllLegis_DWNOM.gph, imargin(tiny) ycomm
graph save Figure1.gph, replace





*TABLE 1
use AID-TRADE-IO-MASTER.dta, clear
estimates clear
local ideo "dwnom_1_"
local controls1 "PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
foreach q of numlist   2 {
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new `controls2'   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid2
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new  `controls2'  i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade2
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid3
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade3
}
local order "order(highskillpcnt   dwnom_1_ PrezSuppSamePty_new  StateWelf_percap_Scaled StateWelf_percap_skill_Scaled    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "Table1.doc" , `order' title("Aid and Trade: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted)") starlevels(+ 0.10 * 0.05 ** 0.01)  se drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace


*Proportional Reduction in error
estimates clear
local ideo "dwnom_1_"
local controls1 "PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==2 & session>95 & session<109, pa robust 
pre
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==2 & session>95 & session<109, pa robust 
pre
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==2 & session>95 & session<109, pa robust 
pre
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==2 & session>95 & session<109, pa robust 
pre





**Predicted changes in probabilities
clear
set memory 200m

cd R:\Milner\Milner\AID\AidTradePaper\ReplicationFiles

use AID-TRADE-IO-MASTER.dta, clear

*HIGH SKILL

forval z=0/1 {
forval q=1/2 {
local ideo dwnom_1_
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new  Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z' & votesaliency==`q' & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+7
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII "   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n>`n'

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}

summ highskillpcnt if e(sample), detail
replace highskillpcnt=r(p10) if _n==`n'+1
replace highskillpcnt=r(p25) if _n==`n'+2
replace highskillpcnt=r(p50) if _n==`n'+3
replace highskillpcnt=r(p75) if _n==`n'+4
replace highskillpcnt=r(p90) if _n==`n'+5
replace highskillpcnt=r(mean) if _n==`n'+6
replace highskillpcnt=r(mean)+r(sd) if _n==`n'+7

predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt   `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
if `q'==1 {
replace Sal="Low"
}
if `q'==2 {
replace Sal="High"
}
tempfile PSkill_Prediction_type`z'_sal`q'
save `PSkill_Prediction_type`z'_sal`q'', replace
restore
}
}

*IDEOLOGY

forval z=0/1 {
forval q=1/2 {
local ideo dwnom_1_
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z' & votesaliency==`q' & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+7
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII"   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n>`n'

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}

summ `ideo' if e(sample), detail
replace `ideo'=r(p10) if _n==`n'+1
replace `ideo'=r(p25) if _n==`n'+2
replace `ideo'=r(p50) if _n==`n'+3
replace `ideo'=r(p75) if _n==`n'+4
replace `ideo'=r(p90) if _n==`n'+5
replace `ideo'=r(mean) if _n==`n'+6
replace `ideo'=r(mean)+r(sd) if _n==`n'+7

predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt     `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
if `q'==1 {
replace Sal="Low"
}
if `q'==2 {
replace Sal="High"
}
tempfile Pdwnom_1_Prediction_type`z'_sal`q'
save `Pdwnom_1_Prediction_type`z'_sal`q'', replace
restore
}
}



*PRESIDENT

forval z=0/1 {
forval q=1/2 {
local ideo PrezVotePercRepub
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new  Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z' & votesaliency==`q' & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+2
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII  StateWelf_percap_Scaled  StateWelf_percap_skill_Sc"   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n==`n'+1
replace PrezSuppSamePty_new=1 if  _n==`n'+2

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}


predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt     `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
if `q'==1 {
replace Sal="Low"
}
if `q'==2 {
replace Sal="High"
}
tempfile Prez_Prediction_type`z'_sal`q'
save `Prez_Prediction_type`z'_sal`q'', replace
restore
}
}




use `Prez_Prediction_type1_sal2', clear
gen var=""
replace var="Prez"
gen type=""
replace type="1"
append using `Prez_Prediction_type0_sal2'
replace var="Prez" if var==""
replace type="1" if type==""

foreach k of newlist dwnom_1 Skill {
append using `P`k'_Prediction_type1_sal2'
replace var="`k'" if var==""
replace type="1" if var==""
append using `P`k'_Prediction_type0_sal2'
replace var="`k'" if var==""
replace type="0" if var==""
}
saveold ProbChanges-MainSample.dta, replace







*SUPPLEMENTARY MODELS OF CAPITAL MEASURE
clear
set memory 200m
cd R:\Milner\Milner\AID\AidTradePaper\ReplicationFiles
use AID-TRADE-IO-MASTER.dta, clear

drop if votetype > 1
label var NEWYORKER_distPc  "NewYorkerMag"
label var collegepcntpop "College%"
estimates clear
*local ideo "PrezVotePercRepub"
local ideo "dwnom_1_"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
foreach q of numlist   2 {
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new collegepcntpop    i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new  collegepcntpop   i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new `controls2' collegepcntpop   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid2
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new  `controls2' collegepcntpop   i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade2
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new NEWYORKER_distPc    i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid3
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new  NEWYORKER_distPc  i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade3
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new `controls2' NEWYORKER_distPc   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid4
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new  `controls2' NEWYORKER_distPc  i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade4
qui xi: xtprobit  rc_vote lnCapitaltemp2DigEstab33ES  lnEmployManuf  `ideo'  PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid5
qui xi: xtprobit  rc_vote lnCapitaltemp2DigEstab33ES  lnEmployManuf  `ideo'  PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade5
qui xi: xtprobit  rc_vote lnCapitaltemp2DigEstab33ES  lnEmployManuf  `ideo'  PrezSuppSamePty_new `controls2'   i.VoteID if FECproblems~=1 & votetype==0 & votesaliency==`q' & session>95 & session<109, pa robust 
est store aid6
qui xi: xtprobit  rc_vote lnCapitaltemp2DigEstab33ES  lnEmployManuf  `ideo'  PrezSuppSamePty_new  `controls2'  i.VoteID if FECproblems~=1 & votetype==1 & votesaliency==`q' & session>95 & session<109, pa robust 
est store trade6
}
local order "order(highskillpcnt collegepcntpop NEWYORKER_distPc lnCapitaltemp2DigEstab33ES  lnEmployManuf   dwnom_1_ PrezSuppSamePty_new     unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "AIDTRADE-SUPMODELS.doc" , `order' title("Aid and Trade: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted)") starlevels(+ 0.10 * 0.05 ** 0.01)  se drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace









**ADDL AID VOTE ANALYSES
clear
set memory 100m
set more off
cd R:\Milner\Milner\AID\AidTradePaper\ReplicationFiles
use "AddlAidVotes-Bilateral.dta", clear
estimates clear
local ideo "dwnom_1_"
local controls1 "unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local controls3 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn   pcntBlack MktValAgProdII"

qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==66 &  session>95 & session<109, pa robust 
est store cty1
qui xi: xtprobit  rc_vote highskillpcnt   `ideo' PrezSuppSamePty_new `controls3'   i.VoteID if FECproblems~=1 & votetype==66  & session>95 & session<109, pa robust 
est store cty2
qui xi: xtprobit  rc_vote highskillpcnt   `ideo' PrezSuppSamePty_new `controls2'   i.VoteID if FECproblems~=1 & votetype==66  & session>95 & session<109, pa robust 
est store cty3

use "AddlAidVotes-Military.dta", clear
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==11 &  session>95 & session<109, pa robust 
est store mil1
qui xi: xtprobit  rc_vote highskillpcnt   `ideo' PrezSuppSamePty_new `controls3'   i.VoteID if FECproblems~=1 & votetype==11  & session>95 & session<109, pa robust 
est store mil3
qui xi: xtprobit  rc_vote highskillpcnt    `ideo' PrezSuppSamePty_new `controls2'   i.VoteID if FECproblems~=1 & votetype==11  & session>95 & session<109, pa robust 
est store mil4
local order "order(highskillpcnt   dwnom_1_ PrezSuppSamePty_new   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "AidTrade_BilatMilAidVotes.doc" , `order' title("Bilatera/Region Specific and Military Aid Votes: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted)") starlevels(+ 0.10 * 0.05 ** 0.01)  se drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace




****Difference in means for Prez variable
use AID-TRADE-IO-MASTER.dta, clear
append using "AddlAidVotes-Bilateral.dta"
append using AddlAidVotes-Military.dta

*33-aid high sal 44-trade high sal 11 mil aid 66 bilateral aid
replace votetype=33 if votetype==0 & votesaliency==2
replace votetype=44 if votetype==1 & votesaliency==2
label define labeltype 33 "General Economic Aid" 44 "Trade" 66 "Country Specific Aid" 11 "Military Aid"
drop if (votetype~=11 & votetype~=33 & votetype~=44 & votetype~=66)


gen RepubPrez=.
gen DemPrez=.
foreach num of numlist 97 98 99 100 101 102 107 108 {
replace RepubPrez=1 if session==`num'
}
foreach num of numlist 96 103 104 105 106 {
replace DemPrez=1 if session==`num'
}

gen SameParty=1 if RepubPrez==1 & party==1
replace SameParty=1 if DemPrez==1 & party==0
replace SameParty=0 if SameParty==. & party~=.


tab rc_vote if votetype==44 & PrezSuppSamePty_new==1
tab rc_vote if votetype==33 & PrezSuppSamePty_new==1

foreach k of numlist 33 44 11 66 {
display "`k'"
local tp "tab"
`tp' rc_vote if  party==1 & RepubPrez==1 & votetype==`k' 
`tp' rc_vote if  party==1 & DemPrez==1 & votetype==`k' 
`tp' rc_vote if  party==0 & RepubPrez==1 & votetype==`k' 
`tp' rc_vote if  party==0 & DemPrez==1 & votetype==`k' 

`tp' rc_vote if PrezSuppSamePty_new==1 & party==1 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==0 & party==1 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==1 & party==0 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==0 & party==0 & votetype==`k' 

`tp' rc_vote if PrezSuppSamePty_new==0 & party==1 & RepubPrez==1 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==1 & party==1 & RepubPrez==1 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==0 & party==0 & DemPrez==1 & votetype==`k' 
`tp' rc_vote if PrezSuppSamePty_new==1 & party==0 & DemPrez==1 & votetype==`k' 
}

*Bigger gap between FP and non-FP when Prez takes a position for Republicans
gen FPAID=1 if (votetype==11|votetype==66)
replace FPAID=0 if (votetype==33|votetype==0 & votesaliency==1)
ttest rc_vote if PrezSuppSamePty_new==1 & party==1, by( FPAID)
ttest rc_vote if PrezSuppSamePty_new==0 & party==1, by( FPAID)


foreach k of numlist 33 44 11 66 {
display "`k'"
ttest rc_vote if  party==1 & votetype==`k' , by(PrezSuppSamePty_new)
gen Repub_diff_`k'=r(mu_2)-r(mu_1)
gen Repub_up_`k'=Repub_diff_`k'+1.96*r(se)
gen Repub_dw_`k'=Repub_diff_`k'-1.96*r(se)
}
foreach k of numlist 33 44 11 66 {
display "`k'"
ttest rc_vote if  party==0 & votetype==`k' , by(PrezSuppSamePty_new)
gen Dem_diff_`k'=r(mu_2)-r(mu_1)
gen Dem_up_`k'=Dem_diff_`k'+1.96*r(se)
gen Dem_dw_`k'=Dem_diff_`k'-1.96*r(se)
}
keep Dem_diff_* Dem_up_* Dem_dw_* Repub_diff_* Repub_up_* Repub_dw_*
keep if _n==1
gen id=_n
reshape long  Dem_diff_ Dem_up_ Dem_dw_ Repub_diff_ Repub_up_ Repub_dw_, i(id) j(type)
reshape long Repub_ Dem_, i(type) j(stat) str
drop id
label val type labeltype
decode type, gen(test)
egen group=group(test)

qui summ group
local max=r(max)
forval i=1/`max' {
qui summ type if group==`i'
local j=r(max)
local lab: label labeltype `j'
label define grouplabel `i' "`lab'", modify
}
label val group grouplabel
local gp "ylabel(1(1)`max', valuelabel angle(-40)) ytitle("Vote Type") xtitle(Mean Difference) legend(off) xline(0) lcolor(black) mlabcolor(black)"
scatter group Repub_ if type==33, c(l) `gp' ||scatter  group Repub_ if type==44, c(l) `gp' ||scatter  group Repub_ if type==66, c(l) `gp'||scatter  group Repub_ if type==11, c(l) `gp' title(Republicans)
graph save "Repub-PrezInfl-AllPrez.gph", replace
scatter group Dem_ if type==33, c(l) `gp' ||scatter  group Dem_ if type==44, c(l) `gp' ||scatter  group Dem_ if type==66, c(l) `gp'||scatter  group Dem_ if type==11, c(l) `gp'  title(Democrats)
graph save "Dem-PrezInfl-AllPrez.gph", replace
graph combine  "Repub-PrezInfl-AllPrez.gph" "Dem-PrezInfl-AllPrez.gph", col(1) imargin(tiny) xcom
graph save PrezInfl-AllPrez.gph, replace









***Subst Effects Calculations for Bilateral and Military Aid Votes
clear
set memory 200m
set more off
cd R:\Milner\Milner\AID\AidTradePaper\ReplicationFiles



use "AddlAidVotes-Bilateral.dta", clear
append using  "AddlAidVotes-Military.dta", 

*this method utilizes stata's built in prediction commands

*HIGH SKILL

foreach z of numlist 11 66 {
local ideo dwnom_1_
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new  Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z'  & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+7
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII "   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n>`n'

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}

summ highskillpcnt if e(sample), detail
replace highskillpcnt=r(p10) if _n==`n'+1
replace highskillpcnt=r(p25) if _n==`n'+2
replace highskillpcnt=r(p50) if _n==`n'+3
replace highskillpcnt=r(p75) if _n==`n'+4
replace highskillpcnt=r(p90) if _n==`n'+5
replace highskillpcnt=r(mean) if _n==`n'+6
replace highskillpcnt=r(mean)+r(sd) if _n==`n'+7

predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt   `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
replace Sal="High"
tempfile Skill_Prediction_type`z'
save `Skill_Prediction_type`z'', replace
restore
}


*IDEOLOGY

foreach z of numlist 11  66 {

local ideo dwnom_1_
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z'  & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+7
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII"   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n>`n'

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}

summ `ideo' if e(sample), detail
replace `ideo'=r(p10) if _n==`n'+1
replace `ideo'=r(p25) if _n==`n'+2
replace `ideo'=r(p50) if _n==`n'+3
replace `ideo'=r(p75) if _n==`n'+4
replace `ideo'=r(p90) if _n==`n'+5
replace `ideo'=r(mean) if _n==`n'+6
replace `ideo'=r(mean)+r(sd) if _n==`n'+7

predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt     `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}

replace Sal="High"
tempfile Ideo_dwnom_1_Prediction_type`z'
save `Ideo_dwnom_1_Prediction_type`z'', replace
restore
}




*PRESIDENT

foreach z of numlist 11  66 {
local ideo dwnom_1_
xi: xtprobit  rc_vote highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII PrezSuppSamePty_new  Wdummy MWdummy  southdummy  i.VoteID if FECproblems~=1 & votetype==`z'  & session>95 & session<109, pa robust 
preserve
local n=_N
local n2=`n'+2
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}

local iv "highskillpcnt    bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ `ideo'    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn pcntBlack MktValAgProdII  StateWelf_percap_Scaled  StateWelf_percap_skill_Sc"   
foreach var of varlist `iv' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}

replace PrezSuppSamePty_new=0 if  _n==`n'+1
replace PrezSuppSamePty_new=1 if  _n==`n'+2

foreach var of varlist Wdummy MWdummy  southdummy {
replace `var'=0 if _n>`n'
}


predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt     `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
replace Sal="High"
tempfile Prez_Prediction_type`z'
save `Prez_Prediction_type`z'', replace
restore
}




use `Prez_Prediction_type66', clear
gen var=""
replace var="Prez"
gen type=""
replace type="66"
append using `Prez_Prediction_type11'
replace var="Prez"
replace type="11" if type==""
foreach k of newlist Ideo_dwnom_1 Skill {
append using ``k'_Prediction_type66'
replace var="`k'" if var==""
replace type="66" if type==""
}
foreach k of newlist Ideo_dwnom_1 Skill {
append using ``k'_Prediction_type11'
replace var="`k'" if var==""
replace type="11" if type==""
}

saveold ProbChanges-BilatMilAid.dta, replace













use AidTrade-PrezAltMeasure.dta, replace

estimates clear
local ideo "dwnom_1_"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
xi: xtprobit  rc_vote highskillpcnt  dwnom_1_  PrezSuppSamePty_new_TP    `controls2'  i.VoteID if FECproblems~=1 & votetype==66 & session>95 & session<109, pa robust
est store bilat
xi: xtprobit  rc_vote highskillpcnt  dwnom_1_  PrezSuppSamePty_new_TP    `controls2'  i.VoteID if FECproblems~=1 & votetype==44 & votesaliency==2 & session>95 & session<109, pa robust
est store trade
xi: xtprobit  rc_vote highskillpcnt  dwnom_1_  PrezSuppSamePty_new_TP    `controls2'  i.VoteID if FECproblems~=1 & votetype==11 & session>95 & session<109, pa robust
est store mil
xi: xtprobit  rc_vote highskillpcnt  dwnom_1_  PrezSuppSamePty_new_TP    `controls2'  i.VoteID if FECproblems~=1 & votetype==33 & session>95 & session<109, pa robust
est store gnlecon
local order "order(highskillpcnt  dwnom_1_ PrezSuppSamePty_new_TP   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "AidTrade_AltPrezVar.doc" , `order' title("Aid and Trade: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted)") starlevels(+ 0.10 * 0.05 ** 0.01)  se drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace




*Marginal effects for individual votes
qui {
use "AID-TRADE-IO-MASTER.dta", clear
local ideo dwnom_1_
local iv1 highskillpcnt pcntForBorn avg_UnemployChange2yr  `ideo' MktValAgProdII
local iv2 `ideo' MktValAgProdII highskillpcnt pcntForBorn avg_UnemployChange2yr  

forval  i=1/2 { 
local ivlist  `iv`i''
use "AID-TRADE-IO-MASTER.dta", clear
forval j=1/2 {
preserve
levelsof VoteID if votetype==1 & NewSaliency==`j' & session>95 & session<109, local(ID)
foreach var of local ID {
display "`var'"
summ rc_vote if  VoteID==`var'
gen mn_`var'=r(mean) 
probit rc_vote `ivlist'  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  unemployedpcnt  lnmdincm    Wdummy MWdummy  southdummy pcntBlack  if FECproblems~=1  & VoteID==`var', robust  
mfx2
mat b=e(mfx_b_dydx)
mat v=e(mfx_se_dydx)
local b`var'=b[1,1]
local v`var'=v[1,1]
gen b_`var'=b[1,1]
gen v_`var'=v[1,1]
gen r_`var'=b_`var'/v_`var'
}
local newvar : word 1 of `ivlist'
keep r_* mn_* b_* v_*
keep if _n==1
gen id=_n
reshape long  r_ mn_ b_ v_, i(id) j(vote)
gen vartype="`newvar'"

*generate labels for the sessions
gen type=_n
gen roundtest=round(vote, 10000)
gen session=roundtest/10000
drop roundtest
label define templab 1 "", modify
local n=_N
forval i=1/`n' {
levelsof session if _n==`i' , local(temp)
label define templab `i' "`temp'", modify
}
label val type templab
drop session
saveold "`newvar'_trade_mfx_sal`j'.dta", replace
restore
}
}
*qui
}


*AID
qui {
use "AID-TRADE-IO-MASTER.dta", clear
local ideo dwnom_1_
local iv1 highskillpcnt pcntForBorn avg_UnemployChange2yr  `ideo' MktValAgProdII
local iv2 `ideo' MktValAgProdII highskillpcnt pcntForBorn avg_UnemployChange2yr 
 
forval  i=1/2 { 
local ivlist  `iv`i''
use "AID-TRADE-IO-MASTER.dta", clear
forval j=1/2 {
preserve
levelsof VoteID if votetype==0 & NewSaliency==`j' & session>95 & session<109, local(ID)
foreach var of local ID {
display "`var'"
summ rc_vote if  VoteID==`var'
gen mn_`var'=r(mean) 
probit rc_vote `ivlist'  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  unemployedpcnt  lnmdincm    Wdummy MWdummy  southdummy pcntBlack   if FECproblems~=1  & VoteID==`var', robust  
mfx2
mat b=e(mfx_b_dydx)
mat v=e(mfx_se_dydx)
local b`var'=b[1,1]
local v`var'=v[1,1]
gen b_`var'=b[1,1]
gen v_`var'=v[1,1]
gen r_`var'=b_`var'/v_`var'
}
local newvar : word 1 of `ivlist'
keep r_* mn_* b_* v_*
keep if _n==1
gen id=_n
reshape long  r_ mn_ b_ v_, i(id) j(vote)
gen vartype="`newvar'"

*generate labels for the sessions
gen type=_n
gen roundtest=round(vote, 10000)
gen session=roundtest/10000
drop roundtest
label define templab 1 "", modify
local n=_N
forval i=1/`n' {
levelsof session if _n==`i' , local(temp)
label define templab `i' "`temp'", modify
}
label val type templab
drop session
saveold "`newvar'_aid_mfx_sal`j'.dta", replace
restore
}
}
*qui
}


local ideo dwnom_1_
local k=2
foreach j of numlist `k' {
foreach name of newlist aid trade {

use "highskillpcnt_`name'_mfx_sal`j'.dta", clear
gen name= "HighSkill"
foreach newvar of newlist  `ideo'  { 
append using  "`newvar'_`name'_mfx_sal`j'.dta"
replace name="`newvar'" if name==""
}
gen up = b_+1.96*v_
gen low= b_-1.96*v_

saveold "master_Beta_SERatio_`name'_mfx_sal`j'.dta", replace
}
}


*graphing

*forval j=1/2 {
local k=2
foreach j of numlist `k' {
foreach type of newlist aid trade {
use "master_Beta_SERatio_`type'_mfx_sal`j'.dta", clear
replace name="HighSkill" if name=="highskillpcnt"
replace name="DWNOM" if name=="dwnom_1_"


keep   b_ up low  name vote type
rename type type2
renvars b_ up low, prefix("ci_")
reshape long ci_ , i(vote name ) j(type) str
sort vote name ci
egen id=group(vote)
gen graphtest =""
levelsof id, local(id)
local count: word count `id'
local graphall ""
summ type2
local min=r(min)
local max=r(max)
foreach varname of newlist HighSkill DWNOM { 
local graphproperties1 "ylabel(`min'(1)`max', labsize(vsmall) angle(15) valuelabel) ytitle("") xtitle(MargEffect, size(small)) msymbol(smplus smplus smplus) c(l) lcolor(black) xline(0) legend(off) mcolor(black) title(`type', size(medium))"
local graphproperties2 "msymbol(smplus smplus smplus) c(l) lcolor(black) mcolor(black) "

forval i=1/`count' {
if `i'==1 {
local graph`i' "scatter  type2  ci_ if name=="`varname'" & id==`i', `graphproperties1' "
}
else {
local graph`i' = `" || scatter  type2  ci_ if name=="`varname'" & id==`i',  `graphproperties2' "'
}
}
`graph1' `graph2' `graph3' `graph4' `graph5' `graph6' `graph7' `graph8' `graph9' `graph10'  `graph11' `graph12' `graph13' `graph14' `graph15' `graph16' `graph17' `graph18' `graph19' `graph20' `graph21' `graph22' `graph23' `graph24' `graph25' `graph26' `graph27' `graph28' `graph29' `graph30'  

graph save "`type'_`varname'_MargEffectsWCI_sal`j'.gph", replace
}
}
}

*foreach varname of newlist HighSkill Skill_PubWelfGDP StatePubWelfareGDP {
*graph combine "aid_`varname'_MargEffectsWCI_sal1.gph" "aid_`varname'_MargEffectsWCI_sal2.gph" "trade_`varname'_MargEffectsWCI_sal1.gph" "trade_`varname'_MargEffectsWCI_sal2.gph", imargin(tiny) col(2) 
*graph save "`varname'_trad_aidMFX.gph", replace
*}


graph combine "aid_HighSkill_MargEffectsWCI_sal2.gph"  "trade_HighSkill_MargEffectsWCI_sal2.gph", imargin(tiny) title(HighSkill, size(medium))
graph save "HighSkill-MargEffects-TnA.gph", replace
graph combine "aid_DWNOM_MargEffectsWCI_sal2.gph"  "trade_DWNOM_MargEffectsWCI_sal2.gph", imargin(tiny) title(DWNOM, size(medium))
graph save "DWNOM-MargEffects-TnA.gph", replace






*Substantive Effects/Interactions for PUB FINANCE variables

clear
set more off
set memory 700m

use "AID-TRADE-IO-MASTER.dta", clear
*this method utilizes stata's built in prediction commands

local ideo dwnom_1_
forval z=0/1 {
forval q=1/2 {
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
qui xi: xtprobit  rc_vote highskillpcnt   StateWelf_percap_Scaled StateWelf_percap_skill_Scaled  `ideo' `controls2'  i.VoteID if FECproblems~=1 & votetype==`z' & votesaliency==`q' & session>95 & session<109, pa robust 
lincom highskillpcnt
local zF0_`z'_`q'=substr(string(round(r(estimate)/r(se), .001)),1,4)
lincom highskillpcnt + StateWelf_percap_skill_Scaled
local zF1_`z'_`q'=substr(string(round(r(estimate)/r(se), .001)),1,4)

preserve
local n=_N
local n2=`n'+15
set obs `n2'

*this fills in values for our vote fixed effects
local list : colfullnames e(b)
unab test : _I*
local fe : list test & list
foreach vote of local fe {
replace `vote'=0 if _n>`n'
}
 
foreach var of varlist highskillpcnt   StateWelf_percap_Scaled StateWelf_percap_skill_Scaled  `ideo' `controls2' {
summ `var' if e(sample) 
replace `var'=r(mean) if _n>`n' 
}
forval i=1/5 {
local j=`i'+5
local k=`j'+5
local m=`i'/10
replace highskillpcnt=`m' if (_n==`n'+`i'| _n==`n'+`j'|_n==`n'+`k')
}
summ StateWelf_percap_Scaled if e(sample), detail
local p10=r(p10)
local p50=r(p50)
local p90=r(p90)
replace  StateWelf_percap_Scaled =`p10' if _n>`n' & _n<=`n'+5
replace  StateWelf_percap_Scaled =`p50' if _n>`n'+5 & _n<=`n'+10
replace  StateWelf_percap_Scaled =`p90' if _n>`n'+10 & _n<=`n'+15

replace StateWelf_percap_skill_Scaled   =highskillpcnt*StateWelf_percap_Scaled if _n>`n'



predict xb, xb
predict prob, rate
tempvar se 
predict `se', stdp
gen upper=normal(xb+1.96*(`se'))
gen lower=normal(xb-1.96*(`se'))
drop if _n<=`n'
keep highskillpcnt   StateWelf_percap_Scaled StateWelf_percap_skill_Scaled  `ideo' prob xb upper lower

gen str Type=""
gen str Sal=""
if `z'==1 {
replace Type="Trade"
}
if `z'==0 {
replace Type="Aid"
}
if `q'==1 {
replace Sal="Low"
}
if `q'==2 {
replace Sal="High"
}

saveold "PubFin_Prediction_type`z'_sal`q'.dta", replace
restore
}
}


use PubFin_Prediction_type0_sal1.dta, clear
append using PubFin_Prediction_type0_sal2.dta
append using PubFin_Prediction_type1_sal1.dta
append using PubFin_Prediction_type1_sal2.dta
foreach var of newlist  Trade Aid {
foreach sal of newlist High Low {
preserve
keep if Type=="`var'"
keep if Sal=="`sal'"
tostring(highskillpcnt), force replace
replace highskillpcnt=substr(highskillpcnt,1,2)
local marker "msize(small small small) msymbol(D oh oh ) lpattern(solid dot dot) lcolor(black black black)" 
local title "title(`var', size(medium)) xtitle("State Welfare per capita")"
local legend "legend(order(1 4 ) lab(1 "Skill=.1") lab(4 "Skill=.5"))"
twoway connect prob upper lower StateWelf_percap_Scaled if  highskillpcnt==".1", `marker' `notes' `title' `legend'|| connect  prob upper lower StateWelf_percap_Scaled if  highskillpcnt==".5", `marker'

graph save "ProbVote`sal'`var'.gph", replace
restore
}
}

local notes "note("IV's held at sample means; regional FE's at South; Prez at 0" "Values for welfare per capita are 10th 50th and 90th percentiles from the estimation sample")"
local title "title("Probability Pro Vote", size(medium)) subtitle("High Saliency Votes", size(small))"
graph combine ProbVoteHighTrade.gph ProbVoteHighAid.gph, xcomm  ycomm `notes' imargin(tiny)





*Re-election percentage

use "AID-TRADE-IO-MASTER.dta", clear
estimates clear
local ideo "dwnom_1_"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local vars "highskillpcnt  `ideo'  PrezSuppSamePty_new  `controls2'  "
set more off
local basemodel " xi: xtprobit  rc_vote `vars'  i.VoteID if FECproblems~=1 "
`basemodel' & votetype==0 & NewSaliency==2 , pa robust
est store aidAll
foreach x of numlist  80  70  {  
`basemodel' & votetype==0 & NewSaliency==2 & gen_vote_pct<`x' ,  pa robust
est store aid`x'
}
`basemodel' & votetype==1 & NewSaliency==2 , pa robust
est store trAll
foreach x of numlist  80  70  {  
`basemodel' & votetype==1 & NewSaliency==2 & gen_vote_pct<`x' ,  pa robust
est store tr`x'
}
local order "order(highskillpcnt   dwnom_1_ PrezSuppSamePty_new   unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "AidTrade_ByVotePercent.doc" , `order' title("Aid and Finall Passage: Panel Probit with Population Average Effects and Vote Fixed Effects (omitted), by Reelection %") starlevels(+ 0.10 * 0.05 ** 0.01)  se   drop(_I*)  nom nonum nodep nogaps  b(a3)  label brackets  compress replace




*INCLUDING ADDL (LOW SALIENCY) TRADE AND AID VOTES
clear
set memory 400m
use "AID-TRADE-IO-MASTER.dta", clear

estimates clear

local ideo "dwnom_1_"
local controls1 "PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
local controls2 "bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_ PrezSuppSamePty_new unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII"
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==0  & session>95 & session<109, pa robust 
est store aid1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo' PrezSuppSamePty_new    i.VoteID if FECproblems~=1 & votetype==1  & session>95 & session<109, pa robust 
est store trade1
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new `controls2'   i.VoteID if FECproblems~=1 & votetype==0  & session>95 & session<109, pa robust 
est store aid2
qui xi: xtprobit  rc_vote highskillpcnt  `ideo'  PrezSuppSamePty_new  `controls2'  i.VoteID if FECproblems~=1 & votetype==1  & session>95 & session<109, pa robust 
est store trade2
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==0  & session>95 & session<109, pa robust 
est store aid3
qui xi: xtprobit  rc_vote highskillpcnt StateWelf_percap_Scaled  StateWelf_percap_skill_Scaled  `ideo' `controls2'   i.VoteID if FECproblems~=1 & votetype==1  & session>95 & session<109, pa robust 
est store trade3
local order "order(highskillpcnt   dwnom_1_ PrezSuppSamePty_new  StateWelf_percap_Scaled StateWelf_percap_skill_Scaled    unemployedpcnt avg_UnemployChange2yr lnmdincm   pcntForBorn  Wdummy MWdummy  southdummy pcntBlack MktValAgProdII  bankPACpcntPAC_3_ corpPACpcntPAC_3_ labPACpcntPAC_3_  )"
esta _all  using "Table1-HighAndLowSaliencyVotes.doc" , `order' title("Aid and Trade: All Votes") starlevels(+ 0.10 * 0.05 ** 0.01)  se drop(_I*) nom nonum nodep nogaps  b(a3)  label brackets  compress replace










